• Completed July 15, 2015. 4:19 p.m.
  • Build took 15 seconds
Build #3090055
latest (d9189774706151665dbb24ff02de41edfae8032a)
Finished

Having trouble with your build environment? Try reseting it.

Build Output



html
-----

Running Sphinx v1.3.1
making output directory...

Setup Output



checkout
-----



venv
-----

Using real prefix '/usr'
New python executable in /home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/bin/python
Installing setuptools, pip, wheel...done.


doc_builder
-----

Collecting sphinx==1.3.1
  Using cached Sphinx-1.3.1-py2.py3-none-any.whl
Collecting Pygments==2.0.2
  Using cached Pygments-2.0.2-py2-none-any.whl
Collecting virtualenv==13.1.0
  Using cached virtualenv-13.1.0-py2.py3-none-any.whl
Requirement already up-to-date: setuptools==18.0.1 in /home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/lib/python2.7/site-packages
Collecting docutils==0.11
Collecting mkdocs==0.14.0
  Using cached mkdocs-0.14.0-py2.py3-none-any.whl
Collecting mock==1.0.1
Collecting pillow==2.6.1
Collecting readthedocs-sphinx-ext==0.5.4
  Using cached readthedocs_sphinx_ext-0.5.4-py2.py3-none-any.whl
Collecting sphinx-rtd-theme==0.1.8
  Using cached sphinx_rtd_theme-0.1.8-py2.py3-none-any.whl
Collecting alabaster!=0.7.5,<0.8,>=0.7
  Using cached alabaster-0.7.6-py2-none-any.whl
Collecting recommonmark==0.1.1
  Using cached recommonmark-0.1.1-py2.py3-none-any.whl
Collecting snowballstemmer>=1.1 (from sphinx==1.3.1)
Collecting six>=1.4 (from sphinx==1.3.1)
  Using cached six-1.9.0-py2.py3-none-any.whl
Collecting babel>=1.3 (from sphinx==1.3.1)
Collecting Jinja2>=2.3 (from sphinx==1.3.1)
Collecting livereload>=2.3.2 (from mkdocs==0.14.0)
  Using cached livereload-2.4.0-py2.py3-none-any.whl
Collecting Markdown>=2.3.1 (from mkdocs==0.14.0)
  Using cached Markdown-2.6.2-py2.py3-none-any.whl
Collecting PyYAML>=3.10 (from mkdocs==0.14.0)
Collecting tornado>=4.1 (from mkdocs==0.14.0)
Collecting click>=4.0 (from mkdocs==0.14.0)
  Using cached click-4.1-py2.py3-none-any.whl
Collecting requests (from readthedocs-sphinx-ext==0.5.4)
  Using cached requests-2.7.0-py2.py3-none-any.whl
Collecting nilsimsa>=0.3.7 (from readthedocs-sphinx-ext==0.5.4)
Collecting commonmark>=0.5.4 (from recommonmark==0.1.1)
Collecting pytz>=0a (from babel>=1.3->sphinx==1.3.1)
  Using cached pytz-2015.4-py2.py3-none-any.whl
Collecting markupsafe (from Jinja2>=2.3->sphinx==1.3.1)
Collecting certifi (from tornado>=4.1->mkdocs==0.14.0)
  Using cached certifi-2015.04.28-py2.py3-none-any.whl
Collecting backports.ssl-match-hostname (from tornado>=4.1->mkdocs==0.14.0)
Installing collected packages: sphinx-rtd-theme, snowballstemmer, six, Pygments, docutils, pytz, babel, markupsafe, Jinja2, alabaster, sphinx, virtualenv, certifi, backports.ssl-match-hostname, tornado, livereload, Markdown, PyYAML, click, mkdocs, mock, pillow, requests, nilsimsa, readthedocs-sphinx-ext, commonmark, recommonmark


install
-----

Environment Standard Error



checkout
-----



venv
-----



doc_builder
-----

/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
DEPRECATION: --download-cache has been deprecated and will be removed in the future. Pip now automatically uses and configures its cache.


install
-----

No setup.py, skipping install

Build Errors



html
-----


Traceback (most recent call last):
  File "/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/sphinx/cmdline.py", line 244, in main
    opts.warningiserror, opts.tags, opts.verbosity, opts.jobs)
  File "/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/sphinx/application.py", line 126, in __init__
    confoverrides or {}, self.tags)
  File "/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/sphinx/config.py", line 277, in __init__
    execfile_(filename, config)
  File "/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/sphinx/util/pycompat.py", line 128, in execfile_
    exec_(code, _globals)
  File "/home/docs/checkouts/readthedocs.org/user_builds/the-ravi-programming-language/envs/latest/local/lib/python2.7/site-packages/six.py", line 672, in exec_
    exec("""exec _code_ in _globs_, _locs_""")
  File "<string>", line 1, in <module>
  File "conf.py", line 267, in <module>
    from recommonmark.parser import CommonMarkParser
ImportError: No module named recommonmark.parser

Exception occurred:
  File "conf.py", line 267, in <module>
    from recommonmark.parser import CommonMarkParser
ImportError: No module named recommonmark.parser
The full traceback has been saved in /tmp/sphinx-err-XkL8LL.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!